summaryrefslogtreecommitdiff
path: root/buildtools/mktowscript/rebuild_all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'buildtools/mktowscript/rebuild_all.sh')
-rwxr-xr-xbuildtools/mktowscript/rebuild_all.sh34
1 files changed, 21 insertions, 13 deletions
diff --git a/buildtools/mktowscript/rebuild_all.sh b/buildtools/mktowscript/rebuild_all.sh
index 5209eee50b..23622b2abe 100755
--- a/buildtools/mktowscript/rebuild_all.sh
+++ b/buildtools/mktowscript/rebuild_all.sh
@@ -1,21 +1,29 @@
#!/bin/bash
cat mklist.txt |
-while read f; do
- echo "Processing $f"
- f="../../$f"
- test -f $f || {
- echo "$f doesn't exist"
- exit 1
- }
- ws="$(dirname $f)/wscript_build"
- if [ -f $ws ]; then
- if ! grep "AUTOGENERATED.by.mktowscript" $ws > /dev/null; then
- echo "Skipping manually edited file $ws"
- continue
+while read line; do
+ ws=""
+ list=""
+ for f in $line; do
+ echo "Processing $f"
+ f="../../$f"
+ test -f $f || {
+ echo "$f doesn't exist"
+ exit 1
+ }
+ ws="$(dirname $f)/wscript_build"
+ if [ -f $ws ]; then
+ if test -s $ws && ! grep "AUTOGENERATED.by.mktowscript" $ws > /dev/null; then
+ echo "Skipping manually edited file $ws"
+ continue
+ fi
fi
+ list="$list $f"
+ done
+ if [ "$list" = "" ]; then
+ continue
fi
- ./mktowscript.pl $f > wscript_build.$$ || {
+ ./mktowscript.pl $list > wscript_build.$$ || {
echo "Failed on $f"
rm -f wscript_build.$$
exit 1